%global modname dateutil
%bcond_with tests

Summary:        powerful extensions to datetime
Name:           python-%{modname}
Version:        2.8.2
Release:        7%{?dist}
License:        BSD or (BSD and ASL 2.0)
URL:            https://github.com/dateutil/dateutil
Source0:        https://files.pythonhosted.org/packages/source/%/%name/%name-%version.tar.gz
BuildArch:      noarch
BuildRequires:  make

%description 
The dateutil module provides powerful extensions to the standard datetime module, available in Python. 

%package -n python3-%{modname}
Summary:        %summary
BuildRequires:  python3-devel, python3-setuptools, python3-setuptools_scm
%if %{with tests}
BuildRequires:  python3-freezegun, python3-hypothesis, python3-pytest, python3-six
%endif
Requires:       tzdata
Provides:       python3-%{modname}

%description -n python3-%{modname}  
The dateutil module provides powerful extensions to the standard datetime module, available in Python.

%prep
%autosetup
iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%{__python3} -m pytest -W ignore::pytest.PytestUnknownMarkWarning
%endif

%files -n python3-%{modname}
%license LICENSE
%doc NEWS README.rst
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/*.egg-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.2-7
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.2-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.2-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 2.8.2-2
- remove unused buildrequires

* Sun May 29 2022 leolfang <leolfang@tencent.com> - 2.8.2-1
- Initial build
